<?php
/**
  @licence GPL 2005-2011  The osCSS developers - osCSS Open Source E-commerce
  @portion code Copyright (c) 2002 osCommerce
  @package osCSS-2 <www http://www.oscss.org>
  @version 2.1.0
  @date  15/05/11, 12:01
  @author oscim <mail aurelien@oscim.fr> <www http://www.oscim.fr>
  @encode UTF-8

  Traitement des Export pour ExpeditorInet, logiciel de la poste (fr)
*/

Class Export_expeditor {

  protected $page;
  /**
    @var active module for this page
  */
  public $enable;
  /**
    @var array define page active export
  */
  protected $UsedInPage=array('orders','customers');

  function __construct($page){
    $this->page = $page;


    if(in_array($this->page, $this->UsedInPage)) $this->enable = true;
    else $this->enable = false;
  }

  /**
    @brief return array name colonne, for empty export
  */
  function FormatExportCols(){
    return array(
	    'pid'=>__('num produits'),
	    'pname'=>__('nom produits'),
	    'pmodele'=>__('modele produits'),
	    'poption'=>__('option produits'),
	    'pvalueAchatHt'=>__('valeur achat ht produits'),
	    'qtstock'=>__('quantite produits'),
	    );
  }

  /**
    @brief return array name colonne, for empty export
  */
  function FormatLigneValue($data){
    return $data;
  }

}

?>
